import request from "@/utils/request";

// 线表计划维护

// 获取列表
export function getList(data) {
  return request({
    url: "/dmXbjh/getList",
    method: "post",
    data,
  });
}

// 批量保存
export function save(data) {
  return request({
    url: "/dmXbjh/save",
    method: "post",
    data,
  });
}

// 批量提交
export function tj(data) {
  return request({
    url: "/dmXbjh/tj",
    method: "post",
    data,
  });
}

// 导入
export function upload(data) {
  return request({
    url: "/dmXbjh/upload",
    method: "post",
    data,
  });
}

export function getVersion(data) {
  return request({
    url: "/dmXbjh/getVersion",
    method: "get",
    params:data,
  });
}

export function getByVersion(data) {
  return request({
    url: "/dmXbjh/getByVersion",
    method: "get",
    params:data,
  });
}
